/*
 *
 * Pages
 *
 *
*/

/*  Only admin area
-----------------------------------------------------------------------------*/
body.admin-bar{
    #masthead{
        top: 32px;
    }
}

/*  All Pages
-----------------------------------------------------------------------------*/
body.page{
    .entry-header{
        span{
            display: block;
            font-weight: 900;
            @media (min-width: $grid-float-breakpoint){
                font: normal $font-size-h1 $headings-font-family;
                line-height: 1;
                margin: 3rem 0;
                width: 45%;
            }
        }
    }
}

/*  Page template default
-----------------------------------------------------------------------------*/
body.page-template-default{
    .entry-content{
        p{
            @media (min-width: $grid-float-breakpoint){
                font-size: $font-size-h3;
                line-height: 1.4;
            }
        }
    }
}

/*  Front-Page
-----------------------------------------------------------------------------*/
body.home{
    padding-top: $navbar-height;
    #masthead, #colophon{
        margin: 0;
    }
    .ds-intro{
        background-color: $brand-primary;
        .container{
            padding-top: 3rem;
            padding-bottom: 3rem;
            @media (min-width: $grid-float-breakpoint){
                padding-top: 6rem;
                padding-bottom: 6rem;
            }
        }
        h1{
            text-transform: uppercase;
            @media (min-width: $grid-float-breakpoint){
                font-size: $font-size-enormous;
                margin: 0;
            }
        }
        p{
          font-size: $font-size-h3;
        }
        div.row .col-sm-6:nth-child(1){
            strong{
                display: block;
                margin: 1.5rem 0;
                @media (min-width: $grid-float-breakpoint){
                    font: normal $font-size-h1 $headings-font-family;
                    margin: 3rem 0;
                }
            }
        }
    }
    .ds-phrases{
        background-color: $brand-success;
        .row{
            .col-sm-6{
                @media (min-width: $grid-float-breakpoint){
                    height: 60rem;
                }
                h3{
                    text-transform: uppercase;
                    @media (min-width: $grid-float-breakpoint){
                        font-size: $font-size-semienormous;
                    }
                }
                p{
                    font-size: $font-size-large;
                    color: $white;
                }
            }
            .col-sm-6:nth-child(1){
                background-color: $brand-success;
                h3{
                    color: $white;
                }
                div{
                    padding: 3rem 1.5rem;
                }
            }
            .col-sm-6:nth-child(2){
                h3{
                    color: $brand-success;
                }
                >div{
                    padding: .75rem 1.5rem 1.5rem;
                    @media (min-width: $grid-float-breakpoint){
                        height: 50%;
                    }
                }
                > div:nth-child(1){
                    background-color: $brand-warning;
                }
                > div:nth-child(2){
                    background-color: $brand-primary;
                }
            }
        }
    }
}

/*  Archives Interviews, Programme
-----------------------------------------------------------------------------*/
body.post-type-archive-fearless_interviews,
body.post-type-archive-fearless_speackers,
body.post-type-archive-fearless_press{
    header.page-header{
        @extend %dontshow;
    }
}

/* Archive press
-----------------------------------------------------------------------------*/
body.post-type-archive-fearless_press{
    article.fearless_press{
        div.entry-content{
            strong{
                display: block;
                margin: .75rem 0;
            }
            a{
                @extend .btn;
                @extend .btn-default;
            }
        }
    }
}

/*  Single event
-----------------------------------------------------------------------------*/
body.single-post{
    article{
        @extend .row;
    }
    .entry-header{
        @extend .col-sm-6;
        // strong{
        //     font-family: $headings-font-family;
        //     display: block;
        // }
        @media (min-width: $grid-float-breakpoint){
            h1{
                font-size: $font-size-semienormous;
            }
            // strong{
            //     margin-top: 4.5rem;
            // }
            // li, strong{
            //     font-size: $font-size-h1;
            //     line-height: 1.15;
            //     text-transform: uppercase;
            // }
            // ul{
            //     margin: 0;
            //     li:nth-child(3){
            //         @media (min-width: $grid-float-breakpoint){
            //             margin-top: 3rem;
            //         }
            //     }
            // }
        }
    }
    .entry-content{
        @extend .col-sm-6;
        img{
            margin-bottom: 1.5rem;
            @extend .img-responsive;
        }
        .video-post,
        .audio-post{
            @extend .embed-responsive;
            @extend .embed-responsive-16by9;
            margin-bottom: 1.5rem;
            > iframe{
                @extend .embed-responsive-item;
            }
        }
        > a{
            @extend .btn;
            @extend .btn-default;
            width: 100%;
            padding: 1.5rem;
        }
    }
}

/*  Single event
-----------------------------------------------------------------------------*/
body.single-fearless_interviews{
    article{
        @extend .row;
    }
    .entry-header{
        @extend .col-sm-12;
    }
    .entry-content{
        @extend .col-sm-12;
        @media (min-width: $grid-float-breakpoint){
            font-size: $font-size-h3;
        }
        .video-post,
        .audio-post{
            @extend .embed-responsive;
            @extend .embed-responsive-16by9;
            margin-bottom: 3rem;
        }
    }
}

/*  Programme
-----------------------------------------------------------------------------*/
body.page-template-page_cats{
    .bg-content{
        @extend .container;
        > div{
            @extend .row;
            > div {
                @extend .col-sm-12;
            }
        }
        .ds-spaces{
            @extend .nav;
            @extend .nav-tabs;
            li a{
                font: normal $font-size-h5 $headings-font-family;
                text-transform: uppercase;
                @media (min-width: $grid-float-breakpoint){
                    font-size: $font-size-h1;
                }
            }
        }
        .ds-lists-events{
            @extend .tab-content;
            h2{
                text-transform: uppercase;
                margin: 6rem 0 .75rem;
                @media (min-width: $grid-float-breakpoint){
                    font-size: $font-size-semienormous;
                }
            }
            h3{
                text-transform: uppercase;
                margin: .75rem 0;
            }
            td span,
            td > a{
                font: normal $font-size-h5 $headings-font-family;
                @media (min-width: $grid-float-breakpoint){
                    font-size: $font-size-h3;
                }
            }
        }
    }
}

/*  Signing-up
-----------------------------------------------------------------------------*/
body.page-id-120,
body.page-id-122,
body.page-id-123{
    form{
        input[type="text"]{
            width: 100%;
        }
        div.ginput_container_number{
            input{
                width: 15% !important;
            }
        }
    }
}

/*  Page About
-----------------------------------------------------------------------------*/
body.page-id-96,
body.page-id-98,
body.page-id-99{
    .entry-content{
        @media (min-width: $screen-sm){
            -webkit-column-count: 2;
            -moz-column-count: 2;
            column-count: 2;
            margin-top: 6rem;
        }
    }
}

/*  Page location
-----------------------------------------------------------------------------*/
body.page-id-108,
body.page-id-110,
body.page-id-111{
    #colophon{
        margin-top: 0;
    }
}

/*  Page contact
-----------------------------------------------------------------------------*/
body.page-id-213,
body.page-id-216,
body.page-id-217{
    .entry-content{
        @extend .row;
        > div{
            @extend .col-sm-6;
            margin-bottom: 3rem;
        }
        ul{
            @extend .list-unstyled;
        }
        li, p{
            @media (min-width: $grid-float-breakpoint){
                font-size: $font-size-h3;
            }
        }
    }
}
